﻿# Declare images used by this game.
    image bg xmas = "christmas.png"
    image bg halls = "halls.png"
    image bg streets= "street.png"
    image bg hill = "hill.png"
    image bg houses = "houses.png"

    image happy = "lianahappy.png"
    image annoyed = "lianaannoyed.png"
    image neutral = "liananeutral.png"
    
    image happy alpha = im.Alpha("lianahappy.png", 0.7)
    image neutral alpha = im.Alpha("liananeutral.png", 0.7)

    init:
        $ l = Character('Liana',color="#c8ffc8")
        $ m = Character('Me', color="#3366FF")
        $ narrator = Character(None, kind=nvl)
        
        

    # The game starts here.
    label start:
    scene black
    with fade
    
    play music "waltzyuuga.mp3"
    "Today is December the 23rd and of course, the streets are crowded. For some reason, Brazilians leave everything for the last minute. This isn’t my normal behavior though."
    "For some reason, I haven’t been myself lately, even though I have no idea why. Well, kind of. I'm like this because I'm missing something, that I don't know what it is."

    "Usually, I love the holidays. I count the days, set the tree up in December the 1st, watch every other holiday special and start thinking about the gifts I’ll buy my loved ones in November."
    "No, really. Sometimes I get mocked by friends, who think it’s silly. It’s not. Liana, in particular, never missed an opportunity to mock me because of this..."
    nvl clear

    scene bg halls
    l "I mean, everyone loves Christmas, but you’re obsessed with it. Why don’t you get a more normal obsession? I don’t know comic books?"

    l "And the idea of a Christmas miracle is just corny, I mean..."
    nvl clear
    
    scene bg streets
    "Some friend said maybe I'm missing going to school, even though graduation was less than a month ago."
    "Not only I liked to study, but now that I finished high school I won't be seeing my friends and teachers again."
    "Of course I’m a little upset, but I know I’m seeing them again, and I still keep in touch with my closest friends, specially those who were accepted into the same university as I did."
    "So definitely it isn't this."
    nvl clear


    "I keep walking. The mall I’m buying everyone’s gifts is kind of far from home, but it’s really good."

    "I’m brought back to reality when I feel cold, all of a sudden."
    "Yes, in the summer. I stop in the middle of the streets, and try to come up with a way to warm myself. Weird thing is: I’m not with a fever, and otherwise, I feel just fine. So what the…."

    play music "umi-akubior.mp3"
    "Then someone bumps into me. My fault too, as I was in space and didn’t see he or she coming."

    show annoyed
    "Then I notice that it’s… Liana?"
    nvl clear 


    "Liana, someone from school I definitely won’t miss. The girl who picks on me for loving Christmas so much. And pretty much anything, really."

    "And unfortunately, we’ll keep seeing each other even after school is over: we go to the same beach, and enjoy seeing the whole town from the 
    same hill, near my house. And we don't feel like quit going to our favorite places because of each other."
    nvl clear

    "The hill is a good place to go when you need to think about things. Liana thinks so, too. It's one of the few times we agree on something."
    "At least, it's one of the few times we admit we agree on something. We just stay there, silent, looking at the whole town from there. I cried once there when my parents died, and then when my brother fell ill for the first time and she cheered me up."

    "It has been a long while since the last time she went to the beach, though, and I can't remember the last time I went to that hill."
    nvl clear
    
    "Maybe because for some reason, ever since my mood changed, going there makes me even more gloomy. Someone even suggested the reason I'm upset is connected to the hill, but as far as I know, it doesn't. I tried to go there a few times, but I get so upset that I just can't. One wonders how Liana would react, if she were to know that."

    "Liana and I've been classmates for years, and rivals in pretty much everything, from sports to grades."
    nvl clear

    "We fought a lot. We never got into physical fights, of course. Our friends never missed an opportunity to imply we were secretly in love. It wasn't the cause of course. Even though... I do feel weird when she's around."
    "We're weird rivals, too. We obviously think about each other a lot and also knew many things about each other’s lives."
    nvl clear

    l" I’m waiting, Stupid Tree."

    "She calls me Stupid Tree because I'm tall and she knows I hate the nickname. I'm a bit touchy about my weight. She knows many tall people, but only picks on me
    because of that, probably she knows I'm touchy about my height. Pretty much like I keep calling her Four Eyes."
    "I think girls who wear glasses are pretty cute, I only call Liana that because I know she dislikes it."
    nvl clear

    "Four eyes looks annoyed, of course."

    "Wait. She doesn't. She looks sad, surprised and happy. All at once."
    "That's one heck of a weird look on her face. As if she were trying to test something and her result was just ok. Not good, not bad, just ok. Weird."

    "No… I was just imagining things. Right?"

    nvl clear

    m " Waiting for what?"

    "I sound tired, absent minded and a bit moody. One wonders if she noticed?"

    hide annoyed
    show neutral
    l" Your apologies, Stupid Tree."

    "Or maybe I didn't imagine anything at all. There's something off with her voice. Liana has this nasty habit of pretending to be happy when she's not."
    nvl clear
    "A mutual friend told me that was because she didn't want to concern anyone. Her parents have been quarreling ever since her sister died and she lacks anything
    barely resembling luck in love, so maybe..."
    nvl clear
    m "Sorry. "

    nvl clear

    l" Huh?"

    m "I apologized."
    "I sigh and look at her."

    nvl clear
    hide neutral
    show happy
    l" Huh... That was fast. Yay! Stupid Tree is becoming a human being!"
    "There's a lot of sarcasm in her voice. Come on, Liana. You're not fooling anyone."
    hide happy
    show neutral
    "For some reason, the fact she noticed it makes me happy. I wonder if the fact I noticed would make her happy. What the hell am I thinking?
    Of course not, it kind of defeats the point of what she's doing."
    nvl clear
    show neutral
    l" Is your little brother at the hospital again? Not that I'm concerned about you, is that unlike you, he's a sweetheart."

    nvl clear

    m " Nope."

    l" Then… Your parents?"

    m "Is there anything wrong... I mean... Your family?"

    l "What makes you care?"
    nvl clear

    hide neutral
    show happy
    "She smiles. There's a hint of sadness... And hope? The smile quickly fades, though. She's obviously trying to hide it. Liana, this is bad for you and you know it."

    m "Come on, Liana. It's pretty obviously you're hiding something!"
    nvl clear
    hide happy
    show annoyed
    l "I'm not! You're the one who hides everything!"

    "Before I can say anything, she's gone."
    "I resume shopping, wondering what the hell is wrong with that girl and wondering why I'm wondering. For the first time in weeks, I don't miss whatever I'm missing. But that doesn't last long."
    nvl clear
    
    scene bg houses
    play music "Home Base Groove.mp3"
    "After a few hours, I'm done shopping and decide going home."
    "Well, not really. I'm not that far from the hill. There's a lot in my mind lately. Even though now that place makes me upset, I should give it a shot. If I get too sad, then I'll just go home as usual. Simple as that."
    nvl clear
    
    hide annoyed
    show neutral
    "Then I notice Liana's following me. She looks disturbed. I'm disturbed too, for obvious reasons."
    "Then I realize she probably just wants to go to the hill too. I'm a moron."
    "I feel a little sad, but much to my surprise, not as much as I usually do. Maybe it's Liana's presence. Maybe it's the song she's humming."

    "I'll never admit that aloud, though."

    l "You know Stupid Tree, I wonder how the crap you manage the climb here without dropping these boxes."

    m "That's kind of easy, Liana..."

    l "It's not. At least, I would never manage to do that."
    hide neutral
    show annoyed
    nvl clear
    "She grudgingly recognizes."
    "Because because she is clumsy. I would have said that and called her a ditz, but I don't feel like it."

    nvl clear

    "We keep climbing; Liana almost trips a few times."

    hide annoyed
    show neutral
    l"You sure are upset, Stupid Tree."
    l" Ah… Are you upset you graduated? It’s weird… You’re not the only one who misses school. So this time, and this time only, you’re not being a crazy idiot."
    l "You know Sabrina? She cried every once in a while because of this too."
    "Odd. She sounds as if she knew she was wrong. As if... She knew what was really happening? No... It has been weeks since the last time we saw each other."
    nvl clear
    m "It's nothing because of that."
    "And I think you know that."  
    "I mutter."
    nvl clear
    l" Then why?"
    m " I have no clue. No one does either."
    nvl clear
    "I sigh."
    nvl clear
    l " This is complicated…."
    l "Hey, are you alright?!"
    l "Hey!"   
    "All of sudden, I feel cold again. And I get sad, all of a sudden. I'm about to cry. Liana notices, and tells me to calm down that things will get better. This happened many times before. It never failed to make me feel better, even though I don't think I'll ever admit it aloud."
    l "Of course, I'm not that concerned about you... Is that it's annoying when you cry."
    "It never failed to make me feel better up to now, that is."
    "I say nothing. She say nothing. And eventually, we reach the summit."
    nvl clear
    
    play music "Continue Life.mp3"
    scene bg hill
    hide neutral
    show happy
    " I stop crying and feel happy and sad at the time. I think I'm happy because Liana is with me. A part of me feels embarrassed, the other just doesn’t care and wants to be with me forever."
    "The view is gorgeous as usual. We can see the whole town from there. We stay there for an hour or so without saying a word, just looking at everyone from here. Then, suddenly I hear someone saying my name... No... My stupid, dumb nickname."
    nvl clear
    hide happy
    show neutral
    l" You know… You’ll think this is ridiculous, but… "
    m " Huh?"
    l" Please, don’t laugh."
    m "You want to make me laugh already."
    l" Haha. This means you’re better now?"
    nvl clear
    "She examines my face for a few seconds, and changes her mind. What I said doesn’t mean I’m back to my former self."
    "She quickly hands me a letter. After a quick read, I realize it was a love letter, from her to me."
    nvl clear
    "What the... I never saw that one coming, not even my friends did."
    "Alright. Sabrina, who liked romances so much did. But no one else but her."   
    m "Liana... This is a joke, isn't it?"
    l "It isn't. And I'm just replying to the love letter you left me."
    m "I didn't leave you any love letter."
    l" You don't remember a lot of things, do you? I'm surprised. Turns out making a wish during the solar eclipse does work."
    m "Ok, Four Eyes, what the hell are you trying to say?"
    nvl clear  
    l "Look at me. This speaks for itself, doesn't it?"
    hide neutral
    play music "Evening Fall - Piano.mp3"
    show neutral alpha
    "Is she… Is she…"
    "A spirit? What... What happened to her?"
    "This isn't possible, is it? This gotta be a joke."
    "Or a weird dream. A nightmare."
    nvl clear
    "Then I remember. "
    "Why I began feeling sad only by thinking of this place."
    "Four Eyes is clumsy. Some people think it's cute, while other people that it's annoying. I think it's an odd mix of both."
    "More like I did."
    "One day, she lost balance..."
    "I tried to save her, but I couldn’t, even though God knows how much I tried."
    "It wasn’t enough."
    "Everyone was shaken, of course."
    "I..."
    nvl clear
    "This can’t be."
    "This isn’t happening."
    "I…"
    "Four Eyes..."
    "Four Eyes..."
    "Why did this happen? Why, why couldn’t I save her?"
    nvl clear
    "Shortly after she died, I realized she was more than a rival, more than a friend to me. Even though I thought it was stupid, I left a love letter on her grave"
    "Somehow, I forgot that happened."
    "Her mother read her diary."
    "It said that she loved me, too."
    nvl clear
    "This... I'm going crazy, this is a nightmare..."
    "I keep repeating myself this, but I know it’s not truth."
    "It’s real."
    "I wish it wasn’t, but it is."
    nvl clear   
    l" You were so sad that in the eclipse a while ago that I wish you could forget everything. Everyone probably just assumed you were getting over it, or trying to forget."
    "And of course, it wasn't like you were going to believe in the letter part if anyone were to tell you. But then I realized you didn't want to forget about what happened... "
    "While I was supposed to get mad at her for messing with my memories, for some reason I just can’t. "
    nvl clear
    "I got mad at her for much less, but I can’t."
    "Probably because I know her intentions were good and that doing that probably hurt her."
    l "Problem was... I didn't know how to make you remember... Then today, I realized you could see me."
    show happy alpha
    l "Your Christmas miracles aren't that stupid, after all."
    play music "Continue Life.mp3"
    scene black
    nvl clear
    "Liana vanished, as she was on Earth because we both wanted to see each other again, and she wanted to answer to my letter."
    "I’ll miss her, but at least now she’s free."
    nvl clear
    stop music
    "Wanting her to stay on earth just because of me would have been selfish, wouldn’t it?"
    "Besides, we’ll be together one day."
    centered "While this day doesn’t come, I’ll try my best to live life at it’s fullest for her."

    
  


